classification
Title: Backport sys.maxsize to Python 2.6
Type: enhancement Stage:
Components: Extension Modules Versions: Python 2.6
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: Nosy List: akuchling, christian.heimes, georg.brandl, loewis, rhettinger, ryan.freckleton
Priority: high Keywords: 26backport, easy, patch

Created on 2008-03-25 23:35 by christian.heimes, last changed 2008-05-20 08:11 by loewis. This issue is now closed.

Files
File name Uploaded Description Edit
patch.diff ryan.freckleton, 2008-03-26 00:03 Patch of sys.maxsize including docstring and NEWS
Messages (7)
msg64528 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2008-03-25 23:35
See topic
msg64530 - (view) Author: Ryan Freckleton (ryan.freckleton) Date: 2008-03-26 00:03
Here's a patch including docstring and NEWS update for this backport.
msg64544 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-03-26 07:15
What about #1570?
msg64545 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2008-03-26 07:51
FWIW, I don't see how backports like this add any value at all. The 2-
to-3 tool handles renaming well, but a backport just creates a hodge-
podge of aliases making the language harder to learn and harder to grep.
msg66549 - (view) Author: A.M. Kuchling (akuchling) * (Python committer) Date: 2008-05-10 18:01
djmitchell noticed this patch at the bug day -- should it be committed, 
or just closed?
msg66550 - (view) Author: A.M. Kuchling (akuchling) * (Python committer) Date: 2008-05-10 18:05
Oh, and I don't understand Raymond's comment: sys.maxsize isn't an 
alias for anything, but a new piece of information (the largest size of 
containers).  Maybe that information isn't useful, or 2.6 doesn't 
always support containers up to that limit, but sys.maxsize doesn't 
seem to be merely a renaming of something.
msg67113 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2008-05-20 08:11
Thanks for the patch. Committed (with modifications) as r63498.
History
Date User Action Args
2008-05-20 08:11:50loewissetstatus: open -> closed
nosy: + loewis
resolution: accepted
messages: + msg67113
2008-05-10 18:05:22akuchlingsetmessages: + msg66550
2008-05-10 18:01:44akuchlingsetnosy: + akuchling
messages: + msg66549
2008-03-26 07:51:45rhettingersetnosy: + rhettinger
messages: + msg64545
2008-03-26 07:15:24georg.brandlsetnosy: + georg.brandl
messages: + msg64544
2008-03-26 00:03:51ryan.freckletonsetfiles: + patch.diff
keywords: + patch
messages: + msg64530
nosy: + ryan.freckleton
2008-03-25 23:35:50christian.heimescreate